com.intellectualcrafters.plot.listeners

## Class WorldEditListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.WorldEditListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class WorldEditListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `blockedcmds`
    `java.util.Set<java.lang.String>` | `restrictedcmds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldEditListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDelete(PlotDeleteEvent e)`
    `void` | `onInteract(org.bukkit.event.player.PlayerInteractEvent e)`
    `void` | `onPlayerCommand(org.bukkit.event.player.PlayerCommandPreprocessEvent e)`
    `void` | `onPlayerJoin(org.bukkit.event.player.PlayerJoinEvent e)`
    `void` | `onPlayerMove(org.bukkit.event.player.PlayerMoveEvent e)`
    `void` | `onPortal(org.bukkit.event.player.PlayerPortalEvent e)`
    `void` | `onTeleport(org.bukkit.event.player.PlayerTeleportEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockedcmds

          public final java.util.Set<java.lang.String> blockedcmds

    - #### restrictedcmds

          public final java.util.Set<java.lang.String> restrictedcmds

  - ### Constructor Detail

    - #### WorldEditListener

          public WorldEditListener()

  - ### Method Detail

    - #### onDelete

          public void onDelete(PlotDeleteEvent e)

    - #### onInteract

          public void onInteract(org.bukkit.event.player.PlayerInteractEvent e)

    - #### onPlayerCommand

          public void onPlayerCommand(org.bukkit.event.player.PlayerCommandPreprocessEvent e)

    - #### onPlayerJoin

          public void onPlayerJoin(org.bukkit.event.player.PlayerJoinEvent e)

    - #### onPlayerMove

          public void onPlayerMove(org.bukkit.event.player.PlayerMoveEvent e)

    - #### onPortal

          public void onPortal(org.bukkit.event.player.PlayerPortalEvent e)

    - #### onTeleport

          public void onTeleport(org.bukkit.event.player.PlayerTeleportEvent e)